Subject: AW: loop-back supression & duplicate address dedection

From: Grubmair Peter <[email-masked]>
Date: Thu, 28 Apr 2005 13:16:39 +0200

> Ideas something like this have been proposed several times.  I don't
> remember the conclusion of the discussion on each one of them, but, in
> any event, this is clearly beyond the scope of rfc2462bis.
 
OK,
Another suggestion.
Instead of turning off loop-back supression of WLAN,
Another solution would be to break the tight relation between
MAC addresses and IPv6 interface identifier.
By using an IID, which is not only based on MAC, but additionally
Or solely On some other information, which is different on different
machines
With a high probability, DAD would not suffer from Layer 2 loop-back
Suppression based on sender MAC.
Then layer 2 address duplicates have to be handled at layer 2,
And IPv6 layer 3 address duplicates are handled by DAD at layer 3.
In contrast to "Privacy Extensions for Stateless Address Autoconfiguration
in IPv6",
This IID also would be used for link-local addresses, and there is no need
to
Refresh the IID and addresses based on it.
Best regards
   Peter

--------------------------------------------------------------------
IETF IPv6 working group mailing list
[email-masked]
Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
--------------------------------------------------------------------

---

From: Brian Haberman <[email-masked]>
Date: Thu, 28 Apr 2005 10:48:30 -0400

Peter,

> Refresh the IID and addresses based on it.

Appendix A of RFC 3513 (and the current update to that document) 
describes
alternate methods to select an IID.  Implementations are free to choose 
some
other IID than the MAC address.  As Jinmei pointed out, this is not 
really an
issue in 2462bis.

Regards,
Brian